org.springframework.data.jdbc.repository.query

## Class StringBasedJdbcQuery

- java.lang.Object
- - org.springframework.data.jdbc.repository.query.AbstractJdbcQuery
  - - org.springframework.data.jdbc.repository.query.StringBasedJdbcQuery

All Implemented Interfaces:
  RepositoryQuery

    public class StringBasedJdbcQuery
    extends AbstractJdbcQuery

A query to be executed based on a repository method, it's annotated SQL query and the arguments provided to the method.

Since:
  2.0
Author:
  Jens Schauder, Kazuki Shimizu, Oliver Gierke, Maciej Walkowiak, Mark Paluch, Hebert Coelho

### Constructor Summary

Constructors
Constructor and Description
`StringBasedJdbcQuery(JdbcQueryMethod queryMethod, NamedParameterJdbcOperations operations, RowMapper<?> defaultRowMapper, JdbcConverter converter)` Creates a new `StringBasedJdbcQuery` for the given `JdbcQueryMethod`, `RelationalMappingContext` and `RowMapper`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute(Object[] objects)`
`JdbcQueryMethod` `getQueryMethod()`
`void` `setBeanFactory(BeanFactory beanFactory)`

### Methods inherited from class org.springframework.data.jdbc.repository.query.AbstractJdbcQuery

`getQueryExecution`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringBasedJdbcQuery

    public StringBasedJdbcQuery(JdbcQueryMethod queryMethod,
                                NamedParameterJdbcOperations operations,
                                @Nullable
                                RowMapper<?> defaultRowMapper,
                                JdbcConverter converter)

Creates a new `StringBasedJdbcQuery` for the given `JdbcQueryMethod`, `RelationalMappingContext` and `RowMapper`.

Parameters:
  `queryMethod` - must not be null.
  `operations` - must not be null.
  `defaultRowMapper` - can be null (only in case of a modifying query).

### Method Detail

#### execute

    public Object execute(Object[] objects)

#### getQueryMethod

    public JdbcQueryMethod getQueryMethod()

Specified by:
  `getQueryMethod` in interface `RepositoryQuery`
Overrides:
  `getQueryMethod` in class `AbstractJdbcQuery`

#### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)